#include "hw_config.h"
#include "..\LEDs_Button\LEDs_Button.h"
#include "Custom.h"
#include "usb_lib.h"
#include "usb_pwr.h"
#include "USB_Mouse.h"

__IO uint8_t PrevXferComplete = 1;      // USB mouse

void USB_Test ()
{
  USB_Init ();
  USART_Write_String ("Натиснете бутона, за да започне да се върти курсора на мишката\n\r");
  USART_Write_String ("Натиснете ESC за прекратяване\n\r");
  while (USART_Read_Char () != 0x1b)
  {
    if (Button_Pressed() && (bDeviceState == CONFIGURED))
      for (int i=0; i<4; i++)
      {
        while (!PrevXferComplete);
        Mouse_Coursor (i, CURSOR_STEP);
      }
  }
}
